image: python:3.7

stages:
  - test

before_script:
  - apt-get -qq update 
  - apt-cache search libmariadb
  - apt-get install -y python3-virtualenv virtualenv redis-server redis-tools libev4 libev-dev # mariadb-server libmariadbclient-dev
  - /usr/bin/virtualenv venv
  - . venv/bin/activate
  - python3 -V
  - pip3 install -r requirements.txt
  - mkdir /etc/aura
  - mkdir /var/log/aura
  - pwd
  - cp configuration/sample-development.engine.ini configuration/engine.ini

simple_guru_help:
  stage: test
  script:
    - python3 guru.py -h

#print_connection_status:
#  stage: test
#  script:
#    - python3 guru.py -pcs